<template>
    <div class="absolute bottom-5 right-5 overflow-hidden pd-toast" v-if="Toast.notifications.length > 0">
        <TransitionGroup name="list" tag="div">
            <div
                class="w-96 rounded-lg mt-3 p-3 pb-0 pd-toast bg-white border border-gray-border"
                v-bind:key="notification.id"
                v-for="notification in Toast.notifications.slice().reverse()"
            >
                <div class="flex items-center justify-between p-2">
                    <div class="flex items-center gap-x-4">
                        <v-icon :icon="notification.icon" :color="notification.type" />
                        <h1 class="font-semibold text-lg font-gtwalsheimpro title">
                            {{ notification.title }}
                        </h1>
                    </div>
                    <div class="flex items-center">
                        <button v-if="notification.showClose" @click="Toast.removeNotification(notification.id)">
                            <v-icon icon="mdi-close" />
                        </button>
                    </div>
                </div>
                <div class="pb-3 px-12">
                    <p>{{ notification.message }}</p>
                </div>
            </div>
        </TransitionGroup>
    </div>
</template>

<script setup lang="ts">
import { StoreFactory } from '@/stores';

const Toast = StoreFactory.toastStore;
</script>
